package com.nantian.cloud.jljc.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.nantian.cloud.jljc.entity.EnergyIndex;
import com.nantian.cloud.jljc.mapper.EnergyIndexMapper;
import com.nantian.cloud.jljc.service.EnergyIndexService;
import com.nantian.cloud.jljc.vo.EnergyIndexVo;
import com.nantian.sc.cloud.common.data.datascope.DataScope;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 耗能指标信息 服务实现类
 * </p>
 *
 * @author stz
 * @since 2020-08-05
 */
@Service("energyIndexService")
public class EnergyIndexServiceImpl extends ServiceImpl<EnergyIndexMapper, EnergyIndex> implements EnergyIndexService {

    @Override
    public List<EnergyIndex> getInfoByStr(String quotaStr) {
        String[] list = quotaStr.split(",");
        return baseMapper.getInfoByStr(list);
    }

    @Override
    public List<EnergyIndexVo> getByProductNum(String productNum) {
        return baseMapper.getByProductNum(productNum);
    }

    @Override
    public IPage<EnergyIndex> selectall(Page page, EnergyIndex energyIndex) {
        return baseMapper.selectall(page,energyIndex);
    }

    @Override
    public IPage<EnergyIndex> getPageScopeCode(Page page, EnergyIndex energyIndex) {
        return baseMapper.getPageScopeCode(page,energyIndex);
    }

    @Override
    public IPage<EnergyIndex> getPageScope(Page page, EnergyIndex energyIndex) {
        //return baseMapper.getPageScope(page,energyIndex,new DataScope());
        return baseMapper.getPageScope(page,energyIndex);
    }

    @Override
    public List<String> getTrade() {
        return baseMapper.getTrade();
    }
    @Override
    public List<EnergyIndex> getEnergyIndexList(){
        return baseMapper.getEnergyIndexList();
    }
    @Override
    public EnergyIndex getInfoByEnergyId(String energyId) {
        return baseMapper.getInfoByEnergyId(energyId);
    }


}
